Creator payouts, the rows of Finance, Payouts
GET
/api/public/v1/payoutsLiveAnswers from your brand's records now.
Operation id listPayouts
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/payouts" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| invoice_status | query | string | One of allduein_progressopenpaidcompletedcanceled |
| campaign_id | query | integer | |
| creator_id | query | integer | |
| cycle | query | integer | |
| updated_since | query | string (date-time) | |
| payout_type | query | string | One of contestnot_contest |
| search | query | string | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| sort_by | query | string | One of campaigntotal_amountbonus_amountad_spend_amountcycleattributionmetrics |
| sort_direction | query | string | One of ascdesc |
| page | query | integer | |
| per_page | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | array of object | |
| data[].[].amount | string, nullable | |
| data[].[].amount_cents | integer, nullable | |
| data[].[].campaign_category | string | |
| data[].[].campaign_id | integer, nullable | |
| data[].[].campaign_name | string | |
| data[].[].contents_delivered | integer, nullable | |
| data[].[].contents_delivered_by_platform | object, nullable | |
| data[].[].contents_required | integer, nullable | |
| data[].[].creator_avatar_url | string, nullable | |
| data[].[].creator_id | integer | |
| data[].[].creator_name | string, nullable | |
| data[].[].credit_name | string, nullable | |
| data[].[].credits_enabled | boolean, nullable | |
| data[].[].custom_amount | object, nullable | |
| data[].[].custom_amount.amount | number | |
| data[].[].custom_amount.description | string | |
| data[].[].custom_amount_cents | integer, nullable | |
| data[].[].cycle_label | string, nullable | |
| data[].[].cycle_number | integer | |
| data[].[].deal_date | string (date), nullable | |
| data[].[].fixed_amount | string, nullable | |
| data[].[].fixed_amount_cents | integer, nullable | |
| data[].[].formatted_total_credit_amount | string, nullable | |
| data[].[].id | integer | |
| data[].[].paid_amount | string, nullable | |
| data[].[].paid_amount_cents | integer, nullable | |
| data[].[].paid_at | string (date-time), nullable | |
| data[].[].pending_update | boolean | |
| data[].[].residual_amount | string, nullable | |
| data[].[].residual_amount_cents | integer, nullable | |
| data[].[].residual_values | object, nullable | |
| data[].[].residual_values.metric | string, nullable | |
| data[].[].residual_values.value | integer, nullable | |
| data[].[].sequence_index | integer | |
| data[].[].since_date | string (date), nullable | |
| data[].[].status | string | |
| data[].[].total_credit_amount | integer, nullable | |
| data[].[].uuid | string | |
| data[].[].views | string, nullable | |
| meta | object | |
| meta.filtered_unknown_count | integer, nullable | |
| meta.in_flight_count | integer | |
| meta.precomputed_count | integer | |
| meta.queue_state | string | |
| meta.queued_count | integer | |
| pagination | object | |
| pagination.count | integer | |
| pagination.page | integer | |
| pagination.pages | integer | |
| pagination.per_page | integer | |
| success | boolean |
Example
{
"data": [
{
"amount": "string",
"amount_cents": 12500,
"campaign_category": "string",
"campaign_id": 1024,
"campaign_name": "Example name",
"contents_delivered": 3,
"contents_delivered_by_platform": {},
"contents_required": 3,
"creator_avatar_url": "https://example.com/p/1",
"creator_id": 1024,
"creator_name": "Example name",
"credit_name": "Example name",
"credits_enabled": true,
"custom_amount": {
"amount": 125.5,
"description": "string"
},
"custom_amount_cents": 12500,
"cycle_label": "string",
"cycle_number": 3,
"deal_date": "2026-11-01",
"fixed_amount": "string",
"fixed_amount_cents": 12500,
"formatted_total_credit_amount": "string",
"id": 1024,
"paid_amount": "string",
"paid_amount_cents": 12500,
"paid_at": "2026-11-01T15:04:05Z",
"pending_update": true,
"residual_amount": "string",
"residual_amount_cents": 12500,
"residual_values": {
"metric": "string",
"value": 3
},
"sequence_index": 3,
"since_date": "2026-11-01",
"status": "string",
"total_credit_amount": 3,
"uuid": "string",
"views": "string"
}
],
"meta": {
"filtered_unknown_count": 3,
"in_flight_count": 3,
"precomputed_count": 3,
"queue_state": "string",
"queued_count": 3
},
"pagination": {
"count": 3,
"page": 1,
"pages": 1,
"per_page": 1
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.